Bug 366011 - Review Request: ultimatestunts - 3D racing game
Review Request: ultimatestunts - 3D racing game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 14:23 EST by Dan Horák
Modified: 2008-11-25 11:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-11 07:08:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gauret: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2007-11-04 14:23:39 EST
Spec URL: http://sharkcz.fedorapeople.org/review/ultimatestunts-0.7.3-1.src.rpm
SRPM URL: http://sharkcz.fedorapeople.org/review/ultimatestunts.spec

Description:
UltimateStunts is a remake of the famous DOS-game Stunts. It was a 3D racing
game, with simple CGA/EGA/VGA graphics and no texture or smooth shading, but
because of the spectacular stunts (loopings, bridges to jump over, etc.)
it was really fun to play. One of the best aspects of this game is that it
had a track editor. Because of the tile-based tracks, every gamer was able
to make it's own tracks. This remake works on UNIX-compatible systems (like
Linux), and on windows. It also provides more modern features, like openGL
graphics, 3D sound and internet multiplaying.
Comment 1 Aurelien Bompard 2007-11-05 14:35:31 EST
Build failed in mock :

007-11-05 20:29:21,785 - util.py:194:DEBUG:
/builddir/build/BUILD/ultimatestunts-srcdata-0731/ultimatestunts/sndsample.cpp:165:
undefined reference
 to `alutCreateBufferFromFile'
2007-11-05 20:29:21,785 - util.py:194:DEBUG:
/builddir/build/BUILD/ultimatestunts-srcdata-0731/ultimatestunts/sndsample.cpp:170:
undefined reference
 to `alutGetError'
2007-11-05 20:29:21,785 - util.py:194:DEBUG:
/builddir/build/BUILD/ultimatestunts-srcdata-0731/ultimatestunts/sndsample.cpp:170:
undefined reference
 to `alutGetErrorString'
2007-11-05 20:29:21,785 - util.py:194:DEBUG: sound.o: In function `~CSound':
2007-11-05 20:29:21,786 - util.py:194:DEBUG:
/builddir/build/BUILD/ultimatestunts-srcdata-0731/ultimatestunts/sound.cpp:199:
undefined reference to
`alutExit'
2007-11-05 20:29:21,786 - util.py:194:DEBUG:
/builddir/build/BUILD/ultimatestunts-srcdata-0731/ultimatestunts/sound.cpp:199:
undefined reference to
`alutExit'
2007-11-05 20:29:21,786 - util.py:194:DEBUG: sound.o: In function `CSound':
2007-11-05 20:29:21,786 - util.py:194:DEBUG:
/builddir/build/BUILD/ultimatestunts-srcdata-0731/ultimatestunts/sound.cpp:60:
undefined reference to `
alutInit'
2007-11-05 20:29:21,786 - util.py:194:DEBUG:
/builddir/build/BUILD/ultimatestunts-srcdata-0731/ultimatestunts/sound.cpp:60:
undefined reference to `
alutInit'
Comment 2 Dan Horák 2007-11-06 03:16:05 EST
%changelog
* Tue Nov  6 2007 Dan Horak <dan[at]danny.cz> 0.7.3-2
- fix findind ALUT library on development

SRPM URL: http://sharkcz.fedorapeople.org/review/ultimatestunts-0.7.3-2.src.rpm
Spec URL: http://sharkcz.fedorapeople.org/review/ultimatestunts.spec

Comment 3 Aurelien Bompard 2007-11-06 18:04:17 EST
Almost perfect. Two things:
- include the COPYING file in %doc
- please create a desktop file to place the game in the menu. I'd suggest the
Game and SportsGame categories, but it's your call.
Comment 4 Dan Horák 2007-11-07 03:43:43 EST
* Wed Nov  7 2007 Dan Horak <dan[at]danny.cz> 0.7.3-3
- added COPYING into docs
- added desktop file

SRPM URL: http://sharkcz.fedorapeople.org/review/ultimatestunts-0.7.3-3.src.rpm
Spec URL: http://sharkcz.fedorapeople.org/review/ultimatestunts.spec

I will contact upstream author about some nice icon for the desktop file.
Comment 5 Aurelien Bompard 2007-11-07 16:29:37 EST
Review for release 3.fc7:
* RPM name is OK
* Source ultimatestunts-srcdata-0731.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks almost OK, see notes below
* File list looks OK
* Works fine

Notes:
A few doc files are not UTF-8, and do not contain the encoding in the HTML header :
- /usr/share/doc/ultimatestunts-0.7.3/nl/trackedit.htm
- /usr/share/doc/ultimatestunts-0.7.3/nl/general.htm
- /usr/share/doc/ultimatestunts-0.7.3/nl/client.htm
- /usr/share/doc/ultimatestunts-0.7.3/nl/stunts3dedit.htm
- /usr/share/doc/ultimatestunts-0.7.3/nl/trackfromscratch.htm
- /usr/share/doc/ultimatestunts-0.7.3/nl/createcar.htm
Please recode them to UTF-8 (using recode or iconv), and you're APPROVED.
Comment 6 Dan Horák 2007-11-09 06:19:33 EST
* Fri Nov  9 2007 Dan Horak <dan[at]danny.cz> 0.7.3-4
- recode *.htm files without encoding header (also preserve timestamps on
modified files)

SRPM URL: http://sharkcz.fedorapeople.org/review/ultimatestunts-0.7.3-4.src.rpm
Spec URL: http://sharkcz.fedorapeople.org/review/ultimatestunts.spec
Comment 7 Aurelien Bompard 2007-11-10 02:25:04 EST
Great, thanks, ultimatestunts-0.7.3-4.src.rpm is APPROVED.
Comment 8 Dan Horák 2007-11-10 02:58:25 EST
New Package CVS Request
=======================
Package Name: ultimatestunts
Short Description: 3D racing game
Owners: sharkcz
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2007-11-10 15:36:32 EST
cvs done.
Comment 10 Dan Horák 2007-11-11 07:08:40 EST
imported and build
Comment 11 Dan Horák 2008-11-25 07:41:59 EST
Package Change Request
======================
Package Name: ultimatestunts
New Branches: EL-5
Owners: sharkcz
Comment 12 Dennis Gilmore 2008-11-25 11:51:55 EST
CVS Done

Note You need to log in before you can comment on or make changes to this bug.